# Enum rustc_codegen_ssa::traits::InlineAsmOperandRef

source ·

    pub enum InlineAsmOperandRef<'tcx, B: BackendTypes + ?Sized> {
        In {
            reg: InlineAsmRegOrRegClass,
            value: OperandRef<'tcx, B::Value>,
        },
        Out {
            reg: InlineAsmRegOrRegClass,
            late: bool,
            place: Option<PlaceRef<'tcx, B::Value>>,
        },
        InOut {
            reg: InlineAsmRegOrRegClass,
            late: bool,
            in_value: OperandRef<'tcx, B::Value>,
            out_place: Option<PlaceRef<'tcx, B::Value>>,
        },
        Const {
            string: String,
        },
        SymFn {
            instance: Instance<'tcx>,
        },
        SymStatic {
            def_id: DefId,
        },
    }

## Variants§

§

### In

#### Fields

§`reg: InlineAsmRegOrRegClass`
§`value: OperandRef<'tcx, B::Value>`
§

### Out

#### Fields

§`reg: InlineAsmRegOrRegClass`
§`late: bool`
§`place: Option<PlaceRef<'tcx, B::Value>>`
§

### InOut

#### Fields

§`reg: InlineAsmRegOrRegClass`
§`late: bool`
§`in_value: OperandRef<'tcx, B::Value>`
§`out_place: Option<PlaceRef<'tcx, B::Value>>`
§

### Const

#### Fields

§`string: String`
§

### SymFn

#### Fields

§`instance: Instance<'tcx>`
§

### SymStatic

#### Fields

§`def_id: DefId`

## Trait Implementations§

source§

### impl<'tcx, B: Debug + BackendTypes + ?Sized> Debug for InlineAsmOperandRef<'tcx, B>
where B::Value: Debug,

source§

#### fn fmt(&self, f: &mut Formatter<'_>) -> Result

Formats the value using the given formatter. Read more

## Auto Trait Implementations§

§

### impl<'tcx, B> !RefUnwindSafe for InlineAsmOperandRef<'tcx, B>

§

### impl<'tcx, B: ?Sized> Send for InlineAsmOperandRef<'tcx, B>
where <B as BackendTypes>::Value: Send,

§

### impl<'tcx, B: ?Sized> Sync for InlineAsmOperandRef<'tcx, B>
where <B as BackendTypes>::Value: Sync,

§

### impl<'tcx, B: ?Sized> Unpin for InlineAsmOperandRef<'tcx, B>
where <B as BackendTypes>::Value: Unpin,

§

### impl<'tcx, B> !UnwindSafe for InlineAsmOperandRef<'tcx, B>

## Blanket Implementations§

source§

### impl<T> Any for T
where T: 'static + ?Sized,

source§

#### fn type_id(&self) -> TypeId

Gets the `TypeId` of `self`. Read more
source§

### impl<T> Borrow<T> for T
where T: ?Sized,

source§

#### fn borrow(&self) -> &T

Immutably borrows from an owned value. Read more
source§

### impl<T> BorrowMut<T> for T
where T: ?Sized,

source§

#### fn borrow_mut(&mut self) -> &mut T

Mutably borrows from an owned value. Read more
source§

### impl<T> From<T> for T

source§

#### fn from(t: T) -> T

Returns the argument unchanged.

source§

### impl<T, U> Into<U> for T
where U: From<T>,

source§

#### fn into(self) -> U

Calls `U::from(self)`.

That is, this conversion is whatever the implementation of `From<T> for U` chooses to do.

source§

### impl<T, U> TryFrom<U> for T
where U: Into<T>,

§

#### type Error = Infallible

The type returned in the event of a conversion error.
source§

#### fn try_from(value: U) -> Result<T, <T as TryFrom<U>>::Error>

Performs the conversion.
source§

### impl<T, U> TryInto<U> for T
where U: TryFrom<T>,

§

#### type Error = <U as TryFrom<T>>::Error

The type returned in the event of a conversion error.
source§

#### fn try_into(self) -> Result<U, <U as TryFrom<T>>::Error>

Performs the conversion.

## Layout§

Note: Unable to compute type layout, possibly due to this type having generic parameters. Layout can only be computed for concrete, fully-instantiated types.